• Introducing XDA Computing: Discussion zones for Hardware, Software, and more!    Check it out!

Magisk General Support / Discussion

Search This thread

raulci

Senior Member
Jan 7, 2018
55
6
Resolved:

With the latest LSPosed mngr (Parasitic) 1.6.0 from Google Play, CustoMIUIzer does no more complain and it works (tested by changing Status bar height from Default to Max, rebooted, it makes a huge visible difference)
Thanks a lot for the hint! It happened the same to me.

Just some questions/comments:

I just installed LsPosed from Play Store without uninstalling first the one from Magisk. Both versions were already 1.6.1 (latest). Don't know if required, but it works anyway. If I look for LsPosed in Settings > Applications, I just find the one installed from Play Store. Is this procedure correct?

If I had uninstalled the previous one, I'd have lost all my LsPosed config?

Ah... Another thing, I noticed that the contextual menu from the Play Store one is showing options while the Magisk one doesn't. Maybe related to our initial issue with CustoMIUIzer?
 
Last edited:

zgfg

Senior Member
Oct 10, 2016
6,054
3,551
Thanks a lot for the hint! It happened the same to me.

Just some questions/comments:

I just installed LsPosed from Play Store without uninstalling first the one from Magisk. Both versions were already 1.6.1 (latest). Don't know if required, but it works anyway. If I look for LsPosed in Settings > Applications, I just find the one installed from Play Store. Is this procedure correct?

If I had uninstalled the previous one, I'd have lost all my LsPosed config?

Ah... Another thing, I noticed that the contextual menu from the Play Store one is showing options while the Magisk one doesn't. Maybe related to our initial issue with CustoMIUIzer?
If both show 1.6.1 (6132), it should be ok (the latest).
One can be the icon, the other shortcut.
For shortcut you have only Remove (on long press).
For icon you have Modules, Log, Repository, plus Share, App Info, Uninstall

Btw, you don't even need the shortcut - you can invoke by 'dialling' the secret code *#*#LSPOSED#*#* (L=5, S=7, P=7, etc)
 
  • Like
Reactions: raulci

raulci

Senior Member
Jan 7, 2018
55
6
If both show 1.6.1 (6132), it should be ok (the latest).
One can be the icon, the other shortcut.
For shortcut you have only Remove (on long press).
For icon you have Modules, Log, Repository, plus Share, App Info, Uninstall

Btw, you don't even need the shortcut - you can invoke by 'dialling' the secret code *#*#LSPOSED#*#* (L=5, S=7, P=7, etc)
Thanks, as you said, I forgot to create the shortcut, but when I did it and uninstalled the manager, CustoMIUIzer started complaining again regarding no xposed installed... 🤔

How did you manage to use the Parasitic manager without getting CustoMIUIzer warning? Maybe I need first to uninstall LsPosed from Magisk?

Anyway, I suppose Mikanoshi may do something to support Parasitic LsPosed. I will post the suggestion in CustoMIUIzer thread.

Thanks!
 

zgfg

Senior Member
Oct 10, 2016
6,054
3,551
Thanks, as you said, I forgot to create the shortcut, but when I did it and uninstalled the manager, CustoMIUIzer started complaining again regarding no xposed installed... 🤔

How did you manage to use the Parasitic manager without getting CustoMIUIzer warning? Maybe I need first to uninstall LsPosed from Magisk?

Anyway, I suppose Mikanoshi may do something to support Parasitic LsPosed. I will post the suggestion in CustoMIUIzer thread.

Thanks!
For me it's the same. It complains if I uninstall LSPosed Manager but it works.
I can still open the manager from shortcut and by calling its secret code, and the mods I enabled in CustoMIUizer and GravityBox box do work
 

U600

Member
May 13, 2013
10
1
Hi, I have a problem with Magisk, I have always used custome DNS plugins ( https://forum.xda-developers.com/t/module-cloudflaredns4magisk.3772375/ ) without problems but with the latest LineageOS updates these modules no longer work. I tried to re-install magist from both TWRP and Manager but the modules still don't work. At boot magisk wants to install an additional configuration but it fails. I attach screenshots. Probably something has changed in the latest releases of Lineage OS but initially I write here to better understand where the problem could be. Any ideas on why? Phone = Redmi Note 8T (Ginkgo).and where the problem could be. Any ideas on why? Phone = Redmi Note 8T (Ginkgo).

1.jpg


2.jpg


3.jpg
 

pndwal

Senior Member
Hi, I have a problem with Magisk, I have always used custome DNS plugins ( https://forum.xda-developers.com/t/module-cloudflaredns4magisk.3772375/ ) without problems but with the latest LineageOS updates these modules no longer work. I tried to re-install magist from both TWRP and Manager but the modules still don't work. At boot magisk wants to install an additional configuration but it fails. I attach screenshots. Probably something has changed in the latest releases of Lineage OS but initially I write here to better understand where the problem could be. Any ideas on why? Phone = Redmi Note 8T (Ginkgo).and where the problem could be. Any ideas on why? Phone = Redmi Note 8T (Ginkgo).

View attachment 5434529

View attachment 5434531

View attachment 5434533
Well Redmi Note 8T is Willow, not Ginkgo for one. 😛

Many Ginkgo ROMs work for Willow however, but any stock firmware / vendor etc upgrades should be for Willow.

Haven't tried LOS on my 8T, but note there are a number of issues with LOS 18.1 still current. This one and / or others may be affecting you:
https://github.com/topjohnwu/Magisk/issues/4394 PW
 

U600

Member
May 13, 2013
10
1
You are right 8T is Willow. Fortunately for LAOS ginkgo and willow have the same release. I have been using LAOS for many years even when it was called Cyanogenmod and I have always liked it but lately I have a few more problems.It's a fairly light ROM and I like it for that. Back on Magisk I read the linked post and it seems the same problem. However, plugins worked for me before. This summer I used Viper Audio and Cloudflare DNS with 18.1 with no problems with the same Magisk package. The problem arises when doing phone OTA updates. Not only does Magisk no longer work but often the phone does not boot the new release. So if the problem is not on Magisk it could be TWRP or more easily some changes to LAOS that partially invalidate the functioning of Magisk. But at this point I ask in the LAOS discussion.
 
  • Like
Reactions: pndwal

nOne4u

Senior Member
Mar 1, 2017
85
16
Need Help.
Problem persist on 3 devices.
2 devices dirty flashed ROM, gapps, Magisk and 1 device clean flashed ROM and Magisk (no gapps)

Unable hide magisk app with different package name. I tried different old versions too, but facing similar problem.
I also tried setting "play store security off" and "selinux permissive" from selinux switch app but that also did not helped.

photo_2021-10-16_11-27-14.jpg


photo_2021-10-16_21-35-02.jpg
 
Last edited:

J.Michael

Recognized Contributor
Jan 20, 2018
913
797
Samsung Galaxy Tab A series
@V0latyle Can you help me out I installed a magisk module that caused a bootloop and I tried the adb wait-for-device shell magisk --remove-modules and it doesn't work for me I'm on the P5 a12 beta 5 I have since flashed the stock boot.img. What can I do to remove this module?
Search this thread, lots of suggestions.

Simplest probably shut down, boot to Safe Mode, shut down, boot -- all modules should be disabled but Magisk should be running, so you can permanently disable or remove problem module.

Worst case: Wipe data / factory reset, start over.
 
  • Like
Reactions: pndwal and ipdev

zgfg

Senior Member
Oct 10, 2016
6,054
3,551
Clarification comments from LSPosed team (still about the future Magisk)

Attaching as a screenshot since links to TG are not allowed (frankly speaking, this 'purity' in XDA policies becomes pretty annoying to me)
 

Attachments

  • t.meLSPosed.jpg
    t.meLSPosed.jpg
    516.6 KB · Views: 101

pndwal

Senior Member
So basically Zygisk is evil and breaks everything as it currently stands, got it :)
So you raise the question of whether evil can be reformed. (Can't resist this. 😛)

If evil as it currently stands, can it ever be good? - If not, the evil will need to be eliminated...

But I suspect Zygisk will win in the end, either existing harmoniously with Riru, or replacing it fully in the long term... and everything broken may well be fixed, at least till G swing their Hardware TEE wrecking ball...

Seems LSPosed rep commenting there hasn't yet considered vvb2060's conclusions:

-cb4361b7-alpha
• [Zygisk] Judging from the current situation, there is no crash report to prove that zygisk is incompatible with riru, temporarily cancel the restriction and observe the situation

-cb4361b7-alpha-2
• [Zygisk] There is no report to prove that zygisk is not compatible with riru, remove the restriction

Some are just now commenting on this in LSPosed Telegram group, and @TheHitMan is now working on overcoming incompatibility...

I think it's too early to stone Zygisk dead personally... If we take the LSPosed statement above at face value, RIRU is dead already!

AFAICS, no such assassination of either Riru or Zygisk may yet occur. - Are they really rivals anyway? I think John is digesting all possibilities, and that unforseen way's of hiding Zygisk (a major difficulty) may well emerge also.

But if you are correct the conundrum is a great one to ponder: Can an Evil entity change stance, become Good, and be considered Evil only as it formerly stood?

- Not sure why you have reduced this to an ethical dichotomy, but my confidence is that Good will win in the end... and you can't lose either, if you have one ounce of NIGEL AFFECT. PW
 
  • Like
Reactions: rodken and 73sydney

pndwal

Senior Member
Latest Alpha Magisk cb4361b7-alpha

*** For Mavericks only! ***

Chinese Translated:
Magisk Alpha update log (abfb3bb3-alpha)

• [General] Based on abfb3bb3, the content that has been merged into the upstream is no longer listed
• [App] Correctly process any data from magiskd
• [App] Support SharedUserld
• [App] Delete the backup file after restoring the boot mirror image
• [App] Built-in current version update log
• [App] Use the local version when you cannot download the stub, now it can be used completely offline
• [App] Switch to Java 8 modern time APl
• [DenyList] Handles suspicious props
• [App] Expand and update SafetyNet, update the snet.jar version to 18
• [General] Add an outdated cgroup v2 path
• [MagiskSU] If necessary, fall back to /dev/pts
• [Busybox] Cancel optimization based on undefined behavior
• [General] No longer automatically unlock the device block
• [Zygisk] There is no report to prove that zygisk is incompatible with riru, remove the restriction
• [Magiskinit] Do not intervene when booting to DSU

How to install?

Use the Magisk application to install and print Magisk. In general, it should be installed directly in the application.

In special circumstances such as the first installation, the image should be patched and then flashed in with the fastboot/odin tool. Custom Recovery is not a supported way.

Update journal
From 23.0 to abfb3bb3

• [General] Support pure 64-bit devices
• [General] Supports Android 12 emulator
• [Zygisk] Code injection framework
• [General] Delete MagiskHide
• [General] Support Simulator to add modules
• [MagiskBoot] Support zlmage format
• [MagiskBoot] Add zopfi encoder
• [Magiskinit] Support bootconfig
• [App] The repair installation function will now check if the script under /data/adb/magisk/ has not been updated
• [Magisklnit] Support some Meizu devices
• [MagiskSu] If the kernel supports it, use isolated devpts
• [MagiskSu] Fix the pts configuration code, now no additional sepolicy rules are needed
• [MagiskBoot] Support v4 boot image header format
• [Magiskinit] Support oplus.fstab for some OnePlus and Opal devices
• [App] Restarted to update modules, not allowed to be marked as pending deletion
• [App] Delete online warehouse
• [App] Add mounting information for the saved log file
• [App] Suitable for Android 12 API level
• [App] Display the waiting pop-up window that is running when hide/restore the original app
• [Stub] Open source obfuscation function
• [Script] Check and display the sepolicy rule folder of the module.
• [App] When the pop up window hides the additional screen layer Android 12+ is required.
• [App] Delete the floating bottom bar, change to the general bottom operation bar
• [General] Support compilation caching
• [General] Add rejection list function
• [App] Delete DoH
• [App] Delete SafetyNet
• [App] Allow the log page to be opened when Magisk is not installed
• [App] Display Zygisk status, add a reminder to restart to take effect
• [Zygisk] Disable conflicting riru module
• [Sepolicy] Fix Android 8 terminal cannot get root
• [Sepolicy] Add execmem to hook in zygote and system_server
• [Resetprop] Erase the old content completely when editing/deleting
• [General] Fix the race condition of thread pool
• [zygisk] Public module API

👍 PW
 
Last edited:
  • Like
Reactions: dcarvil and jons99

jons99

Senior Member
Nov 5, 2019
218
260
new alpha is out and working fine with riru and zygisk working together fine as well
photo_2021-10-17_16-24-12.jpg
 

Attachments

  • photo_2021-10-17_16-24-01.jpg
    photo_2021-10-17_16-24-01.jpg
    51.1 KB · Views: 47
  • photo_2021-10-17_16-24-19.jpg
    photo_2021-10-17_16-24-19.jpg
    28.6 KB · Views: 48
  • Like
Reactions: 73sydney

73sydney

Senior Member
Jul 21, 2018
1,989
1,772
Sydney
Google Pixel 2 XL
So you raise the question of whether evil can be reformed. (Can't resist this. 😛)

If evil as it currently stands, can it ever be good? - If not, the evil will need to be eliminated...

But I suspect Zygisk will win in the end, either existing harmoniously with Riru, or replacing it fully in the long term... and everything broken may well be fixed, at least till G swing their Hardware TEE wrecking ball...

Seems LSPosed rep commenting there hasn't yet considered vvb2060's conclusions:

-cb4361b7-alpha
• [Zygisk] Judging from the current situation, there is no crash report to prove that zygisk is incompatible with riru, temporarily cancel the restriction and observe the situation

-cb4361b7-alpha-2
• [Zygisk] There is no report to prove that zygisk is not compatible with riru, remove the restriction

Some are just now commenting on this in LSPosed Telegram group, and @TheHitMan is now working on overcoming incompatibility...

I think it's too early to stone Zygisk dead personally... If we take the LSPosed statement above at face value, RIRU is dead already!

AFAICS, no such assassination of either Riru or Zygisk may yet occur. - Are they really rivals anyway? I think John is digesting all possibilities, and that unforseen way's of hiding Zygisk (a major difficulty) may well emerge also.

But if you are correct the conundrum is a great one to ponder: Can an Evil entity change stance, become Good, and be considered Evil only as it formerly stood?

- Not sure why you have reduced this to an ethical dichotomy, but my confidence is that Good will win in the end... and you can't lose either, if you have one ounce of NIGEL AFFECT. PW

Pretty brave paragraphism on a partially tangental reply :)

Just saying, it would be nice to get some good news for a change

Blindly flipping switches on stuff doesnt seem to be working well for most people.

If people are designing one thing (zygisk) to disable the functionality of another thing (riru), it should be made abundantly clear up front, so that people arent wasting their collective time trying to put square pegs in round holes...

As someone who needs momo-hider level hiding in their daily lives, its a lot of work trying to sift through whats going on

Long live (vvb2060) magisk alpha 31, for it still provides...

See you soon in Zygote Game, ill be wearing a tracksuit, and be badly dubbed (even in English)

..Nigel..
 
Last edited:
  • Like
  • Haha
Reactions: rodken and pndwal

Top Liked Posts

  • 2
    Wait-
    So no more Patching of AP for A12?

    I didn't use TWRP to root for A11, and all this vbmeta thing confuses me.
    I think you can still use patched AP method (but with canary release), vbmeta gets patched during this process as well, it's nothing to get confused about. I never used patched AP method tho, rooting with custom recovery is much easier/faster imo. And I feel more confident with TWRP instead of stock recovery.
    Here you have the guide:
    Thread '[RECOVERY][UNOFFICIAL] TWRP for Galaxy S21 Ultra (Exynos)' https://forum.xda-developers.com/t/recovery-unofficial-twrp-for-galaxy-s21-ultra-exynos.4240993/

    Cheers
    1
    Been looking around but have only found Rooting guides for Android 12 on Pixel Threads.

    Is there a Specific guide to root Samsung's Android 12? (Specifically the S21 Ultra)
    Or are they roughly the same.
    The only difference while rooting S21Ultra running Android 12 is that you need to use Magisk Canary instead of Stable version. All the rest is the same, you can even use A11 vbmeta. Take a look in s21ultra twrp/root guide and join tg group for latest twrp.

    Cheers
    1
    i just uninstalled magisk from the app, and my phone is just restarting and not turnin on!
    Seems you have more or less fixed this in your HELP thread, but still have issues... Of course you need to provide at least some information to get help here; you basically told us "it didn't work 😫 "

    From other thread I see you have Samsung phone.

    FWIW, seems you missed some of the official Installation Instruction notes for Sammy:

    Important Notes​

    • Never, ever try to restore either boot or recovery partitions back to stock! You can brick your device by doing so, and the only way to recover from this is to do a full Odin restore with data wipe.
    • To upgrade your device with a new firmware, NEVER directly use the stock AP tar file with reasons mentioned above. Always patch AP in the Magisk app and use that instead.
    • Never just flash only AP, or else Odin may shrink your /data filesystem size. Flash AP + BL + CP + HOME_CSC when upgrading.
    The first point is your problem; either uninstall method in Magisk App restores boot image (either stock boot or recovery partition), and this doesn't work for newer Samsung devices. Seems you now need to follow the advice on recovering properly...

    Please read official Installation Instruction page, especially Samsung section as Sammy procedures are quite different from standard & fraught. Hope it helps. PW
    1
    I think you can still use patched AP method (but with canary release), vbmeta gets patched during this process as well, it's nothing to get confused about. I never used patched AP method tho, rooting with custom recovery is much easier/faster imo. And I feel more confident with TWRP instead of stock recovery.
    Here you have the guide:
    Thread '[RECOVERY][UNOFFICIAL] TWRP for Galaxy S21 Ultra (Exynos)' https://forum.xda-developers.com/t/recovery-unofficial-twrp-for-galaxy-s21-ultra-exynos.4240993/

    Cheers
    Thanks for the help, really appreciated.
    It works, got BUKG rooted (≧▽≦)
  • 14
    For those who use Alpha or new Canary and miss the old Modules Repo:

    Download and install their root app that will act like the old Modules tab with the integrated connection to the Repo

    Actually, two Repositories - the old 'official' one plus the alternative new Repo (the old/original TJW's Repo is closed for submission of any new modules - only the modules that were admitted previously could still be updated to the old 'official' Repo)
    13
    Great guide, thanks... I think I followed a similar guide from you a while back, but forgot full path requirement... Pinged you as I thought you'd come through! 👍

    I didn't say MagiskBoot was part of Magisk binary however... I clearly said 'magiskboot * binary * isn't working for me'. 😜 ...

    Thanks for the method. PW
    This one might be a bit more confusing. ;)

    Not sure I can operate Magiskboot before I flash it to the device. Once I flash Magisk, I have access to fastboot through recovery, and that's it.
    While catching up last night, I missed that you are not rooted. :oops:

    ---

    Without root, you need a directory with heightened permissions that you can access.

    You should be able to use the /data/local/tmp/ directory.

    Unzip the Magisk apk file and push the appropriate architecture to the device.
    Then set the permissions to be executable.

    Linux/Mac command line example.
    Make the appropriate changes if you use Windows.​
    • Unpack the lib directory from the Magisk apk file.
      unzip app-debug.apk lib*
    • Push the matching Magisk architecture to the device.
      adb push lib/YourDeviceArchitecture/* /data/local/tmp/
    • Push the boot image you want to modify to the device.
      adb push boot.img /data/local/tmp/
    • Set permissions.
      adb shell chmod 0755 /data/local/tmp/*.so
    • Enter adb shell and change directories.
      adb shell
      cd /data/local/tmp/
    • Run the commands using the ./ prefix.
      ./libmagiskboot.so

    Make the changes you want, exit the shell and pull the new-boot image to the computer.
    Reboot into bootloader and boot the new-boot image.

    Note:
    /data/local/tmp/ should be an empty directory.
    You should clear the directory after you are done using it. ;)


    Quick example just unpacking and repacking a boot image without root.
    Magiskboot Example - Pastebin - Link

    Hope it helps more than confuse. 🙃

    Cheers. :cowboy:
    12
    Is there any good reason to update to a canary or alpha build if stable 23.0 does everything you want from it - apart from curiosity to where Magisk is heading with zygisk?
    I'm surprised seeing so many people installing unstable builds and running into problems.
    There are way too many people that update just for the sake of updating...
    12
    Hi all. :D

    I do not use twitter so, I am out of the loop at times. :confused:
    Links to a few tweets were noted in an issue on USNF github earlier today.

    Seemed to be appropriate to mention here.

    From John Wu.
    PSA: MagiskHide of Magisk v23.0 no longer passes SafetyNet, even with BASIC evalType. Tested on my Pixel 4 XL running stock Android 12 with vanilla Magisk v23.0.

    MagiskHide is *officially* dead. If you need any kind of root hiding, it's the perfect time to find alternatives.
    There are already plenty of "root hiding" modules out there that I'm aware of, some even utilizing the latest features of Magisk canary.

    I'm obligated to distance myself from any tamper detection circumvention, so I will not assist/promote any modules. Do your own research 🙃

    From osm0sis
    *Cough* @kdrag0n's Universal SafetyNet Fix (USNF) *Cough* 😘
    To be specific, Magisk Canary, Zygisk and DenyList enabled, and USNF v2.2.0+ is the way forward. 🤘

    Cheers all. :cowboy:
    10

    Latest Magisk Canary:​

    Magisk (7e9d4512) (23014)​

    • Fix crashes when multiple Zygisk module is installed
    • Fix crashes in magiskboot under certain circumstances
    • Always unload Zygisk itself after post specialize
    • Add module suspension state in Magisk app (riru/zygisk modules)

    Diffs to v23.0​

    • [General] MagiskHide is removed from Magisk
    • [General] Support 64-bit only systems
    • [General] Support Android 12
    • [Zygisk] Introduce new feature: Zygisk
    • [Zygisk] Introduce DenyList feature to revert Magisk features in user selected processes
    • [MagiskBoot] Support patching 32-bit kernel zImages
    • [MagiskBoot] Support boot image header v4
    • [MagiskBoot] Support patching out skip_initramfs from dtb bootargs
    • [MagiskInit] Support /proc/bootconfig for loading boot configurations
    • [MagiskInit] Better support for some Meizu devices
    • [MagiskInit] Better support for some Oppo/Realme devices
    • [MagiskInit] Support init.real on some Sony devices
    • [MagiskPolicy] Load *_compat_cil_file from system_ext
    • [MagiskSU] Use isolated devpts if the kernel supports it
    • [MagiskSU] Fix root shell if isolated mount namespace is set
    • [resetprop] Deleted properties are now wiped from memory instead of just unlinking
    • [App] Build a single APK for all ABIs
    • [App] Switch to use standard bottom navigation bar
    • [App] Downloading modules within the Magisk app is removed
    https://github.com/topjohnwu/magisk-files/blob/55bdc45955e7ba1fe4d296b6fc06f926ebc9ddd1/notes.md
    👍 PW
  • 1069
    This is the place for general support and discussion regarding "Public Releases", which includes both stable and beta releases.
    All information, including troubleshoot guides and notes, are in the Announcement Thread
    156
    Hello, I haven't given much support on XDA lately. It can be resulted from
    • University started and I have limited free time. In fact, I mostly develop during midnight
    • I live in Taiwan, which has large time zone differences between my European/American contributors/testers, which usually forces me to stay up late at night to discuss/test stuffs.
    • The new version is about to come, I don't want to spend effort on supporting old releases
    The planned update is delayed again and again, to some point I think I'll shed some light about what has been happening lately, also along with some announcements.

    New Forum!
    As you might have already discovered, Magisk got its own subforum on XDA! Many thanks to all the support you gave me, and much more information/features/support is about to come!
    **For developers supporting all the devices that are not using standard Android boot format, feel free to create threads in this section (actually, PLEASE do so) for your favorite devices after v7 is out. As I currently know, Asus devices require signing the boot image before flashing, and is model dependant; Sony devices seems to use ELF kernel that is unpatchable, or some has two ramdisks (inner + outer), both requires different workarounds; LG bootloader locked devices has to manually "BUMP" the boot image after flashing Magisk..... and there may be lots of other crazy boot image formats that haven't come up to my attention yet.
    It is impossible for me to support all these non-standard boot images, and I hope the community can collaborate to make Magisk running across all the devices. Overall, community collaboration is what XDA about :D

    The Pixel Phone
    Some of you might already know this news, that the next Pixel Phone right around the corner seems like it does not have ramdisk in boot image, which pretty much wrecked Magisk in all ways. However, it pretty much doomed root itself too. Kernel modifications is inevitable IMO, so I'll try to migrate my scripts to C programs that could possibly be included into the kernel itself. Note that I'm not familiar with linux kernel, I'm not even sure if my idea and concept is correct or not. But once the device is available, I think developers will find a way to bypass all the difficulties, and I'll do my best to learn things ;)

    Current Progress
    In the past month, I've spent quite some time learning SELinux, so that I can avoid using SuperSU's sepolicy patches. Thanks to the helps and tips from @phhusson and @Chainfire, I finally have a much clearer understanding of how SELinux works. The Magisk core parts (the scripts, boot image patches, new features, more supports) are actually done some time ago. What is causing all the delays is the Magisk Manager.
    To be completely honest, although I can code in Java without much issues, Magisk Manager is actually my first Android application, I had to reach out for assistance, and fortunately awesome developers like @DVDandroid and @digitalhigh contributed a lot, which makes the current Manager awesome.
    After the repo system and module management is mostly done, I was about to do some adjustments and release, but what we really done is decided to add another feature: auto-unroot with per-app settings. I decided to wait for it to be finished, and then do my adjustments. Due to reasons that'll be mentioned later, this feature will likely not be available for the next release (should come in future updates)

    Safety Net Disaster
    Those who are using Magisk for Safety Net bypass purposes must have known that Google recently updated the detection method of my Systemless Xposed. I still have no idea what Safety Net is detecting, so currently I cannot fix it on my side (also because I'm busy working on the next update). However, suhide developed by @Chainfire is able to hide Xposed and worked fine.
    However, only my Systemless Xposed v86.2, which is based on SuperSU's su.d, is supported using that method. v86.2 and v86.5 (latest, Magisk based) have nearly identical binaries, and the only difference is the path where the binaries are stored.
    I'm still not sure what's the real issue for it not being supported, I just hope it is not done intentionally.

    Conclusion
    Due to the fact that my Safety Net bypass is not 100% perfect now, I do not want to spend any more time waiting for auto-unroot to be polished. What I'm doing now is finishing up all the things I'd like to change in Magisk Manager (it has been a while since I last contributed to Manager, my fellow developers are doing all the heavy job), which might take a little more time, after that, packed with tons of information to be announced in Magisk Section, I'll release the long awaited update.

    Hope this lengthy post gives you the idea of the whole situation, and again thanks for all your support!!
    121
    Ah, some Chainfire bashing, I hope it is not too late for me to exercise additional villainy.

    First, let me make clear I have nothing against @topjohnwu, nor against Magisk. Magisk is an interesting project and it certainly displays @topjohnwu ingenuity and persistence. I don't doubt we will see more interesting things from his hands.

    -------------------------

    What has happened here is not all that dark and complicated, from either end. I returned from holidays, and someone pointed me at Magisk. My first thought: interesting!

    Among other things, the thread lists some issues with SuperSU, which in combination with the phrase The developer also requests users to not bug Chainfire with compatibility requests for SuperSU with Magisk from the portal article, raised my left eyebrow by nigh half an inch. The popular systemless xposed mod is apparently now based on it, and apparently it now no longer works with SuperSU, and apparently I'm not supposed to fix that, nor any of the other found issues. I found that a bit weird. So yes, I have told @topjohnwu that I was a bit surprised he was posting about issues with SuperSU without notifying me about them (I can't fix or help fix issues I'm not aware of, after all).

    He's also spreading a modified version of the SuperSU package, which is not all that uncommon, nor necessarily a problem. I have not looked into what he modified, I only ran a few quick tests on one of my devices, and found some commonly used commands run as root to be broken. I have informed him of this as well.

    It appears the tool of choice for Magisk is phh's Superuser, because of some of the mentioned issues with SuperSU. That's fine by itself, but fixing issues in that superuser by incorporating SuperSU's binaries into it is a somewhat questionable practise. After all, SuperSU is a commercial closed-source package that helps pay for my dinner, and superuser is a direct competitor. I have informed him that I was surprised he did this without asking for permission. I have expressed similar surprise on him spreading a modified version of LiveBoot (which helps pay for a snack now and then).
    @topjohnwu has also stated that Magisk's scripts are largely influenced by mine (I have not checked). Scripts based on mine are used all over the place on XDA, some people have crafted amazing things based on them, I have never made an issue of this (otherwise I would have just made them binaries). But yes, I have also stated to him that I don't think it's very nice to base something on one program, and then using that to (almost exclusively) push something directly competing with that program.

    tl;dr Towards @topjohnwu, I have:
    - expressed surprise he has issues getting Magisk to work with SuperSU, and has chosen not to inform me about those
    - expressed surprise he is using SuperSU binaries in a competing superuser without permission
    - expressed surprise he is posting a modified LiveBoot without permission
    - informed him of issues with the modified SuperSU he has posted
    - let him know I thought it wasn't very nice to be applying my scripts to benefit seemingly exclusively that same competing superuser

    To be crystal clear:
    - I have not asked for an apology
    - I have not asked for Magisk to be abandoned, neither the root hiding nor systemless module parts, and certainly not systemless xposed
    - I have not made an issue of any of this anywhere, until this post
    - I have not even specifically asked for anything to be taken down (though obviously in my opinion the other superuser package mixed with SuperSU's binaries, as well as the LiveBoot package, should go)
    - I have not reported this thread to XDA moderators for copyright violations or otherwise

    While my conversation with @topjohnwu may not win any awards for being friendly (though it may win some for brevity), I think all things considered my response has been rather mild. To be perfectly honest, until the apology post, I thought this was over with already. I think the apology post was triggered because I haven't replied to his last PM for a while - I was in the zone, it happens.

    To emphasize again, I have nothing against @topjohnwu, Magisk, or systemless xposed, and it is certainly not my goal to see any of them go. If it can be made to work together with SuperSU, great.

    I get it though: you think of something, you want to see if you can make it work, you finally get it to work, you publish it, it takes off - enthusiasm gets the better of you. Maybe in the rush some mistakes are made. That doesn't mean you have to just drop it and run. None of my stuff would make it past 0.1 if I stopped at the first big mistake :)

    Aside from said being in the zone coding, I usually regret actually responding to these sort of things the day after, which has made me hesitant to reply. Surprise me.
    76
    Thread temporarily closed so everyone sees this.

    The flood of "SafetyNet isn't working for me either!" posts are not helpful, at all. Please refrain from posting further, it will be looked into. Please do not forget that not passing SafetyNet is 100% NORMAL AND INTENDED when you have an unlocked booloader or running custom firmware. These are workarounds and they will be worked around in turn.

    The Flash
    Forum Moderator

    EDIT: Thread is reopened... I will be cleaning any SafetyNet posts for a while to keep the thread clean for real issues.
    75
    Hello everyone!

    I am aware that Google has updated Safety Net that makes Magisk itself a no go for Android Pay. In fact, I witnessed the change live while I am developing the new magiskhide, which should hide all Magisk modules and Magisk installed root.

    Google is serious about Safety Net now, clearly hunting down all possibility to run Xposed with Safety Net passed. I spend quite some time examining the new security measures last midnight, and fortunately it seems that it is possible to run Magisk and root along with Safety Net if no Xposed is running. I'm glad I removed the old root toggle at the right time lol, that is no longer feasible with the latest detection.

    So stay tuned for the next update, it will come with bug fixes, along with the new magiskhide to bypass that Safety Net.

    Google, how will a few systemless mods do any harm :p:p